datablock ItemData(bouncyKitItem : blueCloakItem)
{
	uiName = "Bouncy Kit";
	colorShiftColor = "0.7 0.4 0.0 1.000";
	image = bouncyKitImage;
};

datablock ShapeBaseImageData(bouncyKitImage : blueCloakImage)
{
	item = bouncyKitItem;
	colorShiftColor = bouncyKitItem.colorShiftColor;
};

function bouncyKitImage::onFire(%this, %obj, %slot)
{
	if(%obj.getClassName() $= "Player")
	{
		%data = %obj.getDatablock();
		%model = fileName(%data.shapeFile);
		if(%model !$= "m.dts")
		{
			%obj.client.centerPrint("\c2You cannot use the bouncy kit as a " @ %data.uiName @ ".", 2);
			return;
		}
		%obj.setDataBlock(BouncyPlayer);
		%s = %obj.currTool;
		%obj.tool[%s] = 0;
		%obj.weaponCount--;
		%obj.client.centerPrint("\c2You are now bouncy!", 2);
		messageClient(%obj.client, 'MsgItemPickup', '', %s , 0);
		serverCmdUnUseTool(%obj.client);
	}
}